For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddSkill
        • POSTDelSkill
        • POSTSetSkillInfo
        • POSTGetSkills
        • POSTBindSkill
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceSkills

BindSkill

||View as Markdown|
POST
https://api.voximplant.com/platform_api/BindSkill
POST
/platform_api/BindSkill
$curl -X POST "https://api.voximplant.com/platform_api/BindSkill?skill_id=1&skill_id=5&user_id=5&user_id=6&user_id=10&bind=true" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Success
1{
2 "result": 1
3}
Binds the specified skills to the users (ACD operators) and/or the ACD queues. Works only for ACDv1. For SmartQueue/ACDv2, use <a href="#how-auth-works">this reference</a>. Allowed roles: `Owner`, `Admin`, `Developer`, `User manager`. **Example request:** Bind the skills 1, 5 to the users 5, 6, 10.
Was this page helpful?
Previous

GetSkills

Next

AddAdminUser

Built with

Binds the specified skills to the users (ACD operators) and/or the ACD queues. Works only for ACDv1. For SmartQueue/ACDv2, use this reference.

Allowed roles: Owner, Admin, Developer, User manager.

Example request: Bind the skills 1, 5 to the users 5, 6, 10.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

skill_idlist of integersOptional

The skill ID list separated by semicolons (;). Use the ‘all’ value to select all skills. Required unless skill_name is provided.

skill_namelist of stringsOptional

The skill name list separated by semicolons (;). Required unless skill_id is provided.

user_idlist of integersOptional

The user ID list separated by semicolons (;). Use the ‘all’ value to select all users. Required unless user_name is provided.

user_namelist of stringsOptional

The user name list separated by semicolons (;). Required unless user_id is provided.

acd_queue_idlist of integersOptional

The ACD queue ID list separated by semicolons (;). Use the ‘all’ value to select all ACD queues. Required unless acd_queue_name is provided.

acd_queue_namelist of stringsOptional

The ACD queue name. The ACD queue name list separated by semicolons (;). Required unless acd_queue_id is provided.

application_idintegerOptional

The application ID. It is required if the user_name is specified

application_namestringOptional

The application name that can be used instead of application_id

bindbooleanOptionalDefaults to true

Whether to bind or unbind (set true or false respectively)

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.